
/* Test */

selectCar = (car) => {
    //console.log('AAA selectCar');
    return {
        type: "CAR_SELECTED",
        payload: car
    };
};

addCar = () => {
    //console.log('AAA addCar');
    return {
        type: "CAR_ADD",
    };
};

deleteCar = (car) => {
    //console.log('AAA deleteCar');
    return {
        type: "CAR_DELETE",
        payload: car
    };
};

editCar = (car) => {
    //console.log('AAA editCar');
    return {
        type: "CAR_EDIT",
        payload: car
    };
};

/* SiteForm */

onLoadedData = (data) => {
    //console.log('AAA onLoadedData');
    return {
        type: "SITEFORM_LOADDATA",
        payload: data
    };
};

/* Service */

onServiceChange = (val) => {
    //console.log('AAA onServiceChange');
    return {
        type: "SERVICE_CHANGE",
        payload: val
    };
};

/* Hidezones */

editHidezones = (data) => {
    //console.log('AAA editHidezones ', data);
    return {
        type: "HIDEZONES_EDIT",
        payload: data
    };
};

/* Stophide */

editStophide = (data) => {
    //console.log('AAA editStophide ', data);
    return {
        type: "STOPHIDE_EDIT",
        payload: data
    };
};

/* Providers */

editProviders = (data) => {
    //console.log('AAA editProviders ', data);
    return {
        type: "PROVIDERS_EDIT",
        payload: data
    };
};

/* Code */

addCode = (event) => {
    event.preventDefault();
    return {
        type: "CODE_ADD",
    };
};

deleteCode = (data) => {
    //console.log('AAA deleteCode ', data);
    return {
        type: "CODE_DELETE",
        payload: data
    };
};

editCode = (data) => {
    //console.log('AAA editCode ', data);
    return {
        type: "CODE_EDIT",
        payload: data
    };
};


/* Slot */

addSlot = (event) => {
    event.preventDefault();
    //console.log('AAA addSlot');
    return {
        type: "SLOT_ADD",
    };
};

deleteSlot = (data) => {
    //console.log('AAA deleteSlot');
    return {
        type: "SLOT_DELETE",
        payload: data
    };
};

editSlot = (data) => {
    //console.log('AAA editSlot ', data);
    return {
        type: "SLOT_EDIT",
        payload: data
    };
};

/* Zone */

addZone = (event) => {
    event.preventDefault();
    //console.log('AAA addZone');
    return {
        type: "ZONE_ADD",
    };
};

deleteZone = (data) => {
    //console.log('AAA deleteZone');
    return {
        type: "ZONE_DELETE",
        payload: data
    };
};

editZone = (data) => {
    //console.log('AAA editZone ', data);
    return {
        type: "ZONE_EDIT",
        payload: data
    };
};
